package main

import (
    "Ic_ouath/app"
    "Ic_ouath/global"
    "Ic_ouath/nats"
    _ "Ic_ouath/nats"
    "Ic_ouath/simple_zap"
    "context"
)

func init() {
    err := global.SetupSetting()
    if err != nil {
        simple_zap.WithCtx(context.Background()).Sugar().Warn(err, "配置文件读取失败")
    }
    err = global.SetupDBLink()
    if err != nil {
        simple_zap.WithCtx(context.Background()).Sugar().Warn(err, "数据库连接失败")
    }
    global.SetupRedisLink()
    nats.SetupNats()

}

// @title 统一登录平台
// @version 1.0
// @description 统一登录平台
// @Host 127.0.0.1:8080
// @BasePath /api
//
//go:generate swag init --parseDependency --parseDepth=6
func main() {
    err := app.InitRouter()
    if err != nil {
        simple_zap.WithCtx(context.Background()).Sugar().Warn(err, "项目初始化失败")
        return
    }
}
